#
# spec file for package prison-qt5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sonum   5
%define rname prison
%define _libname KF5Prison
%define _tar_path 5.32
Name:           prison-qt5
Version:        5.32.0
Release:        1.3
Summary:        Barcode abstraction layer library
License:        MIT
Group:          System/GUI/KDE
Url:            https://projects.kde.org/prison
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{rname}-%{version}.tar.xz
Source99:       baselibs.conf
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  pkg-config
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5Gui) >= 5.5.0
BuildRequires:  pkgconfig(libdmtx)
BuildRequires:  pkgconfig(libqrencode)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Prison is a barcode abstraction layer library providing
uniform access to generation of barcodes with data.

%package -n lib%{_libname}%{sonum}
Summary:        Barcode abstraction layer library
Group:          System/GUI/KDE

%description -n lib%{_libname}%{sonum}
Prison is a barcode abstraction layer library providing
uniform access to generation of barcodes with data.

%package -n prison-qt5-devel
Summary:        Development files for prison-qt5, a barcode abstraction library
Group:          Development/Libraries/C and C++
Requires:       lib%{_libname}%{sonum} = %{version}
Requires:       cmake(Qt5Gui) >= 5.5.0

%description -n prison-qt5-devel
Development files for prison, a barcode abstraction layer library providing
uniform access to generation of barcodes with data.

%prep
%setup -q -n %{rname}-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%post -n lib%{_libname}%{sonum} -p /sbin/ldconfig

%postun -n lib%{_libname}%{sonum} -p /sbin/ldconfig

%files -n lib%{_libname}%{sonum}
%defattr(-,root,root)
%doc LICENSE README*
%{_libqt5_libdir}/lib%{_libname}*.so.*

%files -n prison-qt5-devel
%defattr(-,root,root)
%{_kf5_libdir}/cmake/KF5Prison/
%{_libqt5_libdir}/lib%{_libname}*.so
%{_kf5_includedir}/
%{_kf5_mkspecsdir}/qt_Prison.pri

%changelog
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.30.0:
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Upgrade KF5 version to 5.32.0.
  * Fix min qt version, spotted by cfeck
  * fix required version of ECM
  * Use nullptr everywhere
  * Upgrade KF5 version to 5.31.0.
* Sat Jan 28 2017 fabian@ritter-vogt.de
- Update to 5.30
- This now contains the right version number, identity crisis solved
* Thu Jan 19 2017 jengelh@inai.de
- Fixup descriptions
* Thu Dec 15 2016 hrvoje.senjan@gmail.com
- Activate prison-qt5 package
